/*
*	API for wireless cards under Linux
*
*		Moustafa A. Youssef - MIND Lab '01
*
* This API works for any driver that supports wireless extensions (provided that the driver works correctly)
* For the signal strength measurements from all the access points, only the mwavelan_cs driver works (as far as I know)
*
* 
*/

#include "mapi.h"
#include <stdio.h>
int main()
{
	char IN[255];
	int N;
	struct iw_quality Qual[IW_MAX_AP];
	struct sockaddr Address[IW_MAX_AP];
	int HasQual;

	if (OpenSocket()< 0){
		printf("Error Opening socket to the networking kernel!");
		return 0;
	}
	
	printf("Enter Interface name (e.g. eth0): ");
	scanf("%s", IN);
	do {
	  N= GetAllAPInformation(IN, Address,Qual, &HasQual);
	  if (N== -1){
	    fprintf(stderr, "Error getting AP information\n");
	    break;
	  }
	  DisplayAllAPInfo(IN,  N, Address, Qual, HasQual);
	  printf("*********************\n");
	  sleep(1);           // sleep for 1 sec.
	} while (1);
	CloseSocket();
	return 0;
}

















